#
# Conditional build:
%bcond_without	qt	# without doxywizard (qt-based)
#
Summary:	Doxygen is the documentation system for C/C++
Summary(es.UTF-8):	Doxygen es el sistema de documentación para C/C++
Summary(pl.UTF-8):	System dokumentowania dla C/C++
Summary(pt_BR.UTF-8):	Um sistema de documentação para C/C++
Summary(ru.UTF-8):	Система документирования для C та C++
Summary(uk.UTF-8):	Система документування для C та C++
Name:		doxygen
Version:	1.8.8
Release:	1
Epoch:		1
License:	GPL v2
Group:		Development/Tools
Source0:	ftp://ftp.stack.nl/pub/users/dimitri/%{name}-%{version}.src.tar.gz
# Source0-md5:	0cbe6912fcac302a984bfcfb9231fec9
Patch0:		%{name}-qt-dirs.patch
URL:		http://www.doxygen.org/
%{?with_qt:BuildRequires:	QtGui-devel >= 4.3}
%{?with_qt:BuildRequires:	QtXml-devel >= 4.3}
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	ghostscript
BuildRequires:	ghostscript-fonts-std
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	perl-base
%{?with_qt:BuildRequires:	qt4-build >= 4.3}
%{?with_qt:BuildRequires:	qt4-qmake >= 4.3}
BuildRequires:	texlive-latex
BuildRequires:	texlive-pdftex
# I don't know what is the exact names in TI, please correct
%if "%{pld_release}" == "th"
Suggests:	texlive-fonts-larm
Suggests:	texlive-latex-cyrillic
Suggests:	texlive-latex-extend
Suggests:	texlive-makeindex
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# because of qt
%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Doxygen is a documentation system for C, C++ and IDL. It can generate
an on-line class browser (in HTML) and/or an off-line reference manual
(in LaTeX) from a set of documented source files. There is also
support for generating man pages and for converting the generated
output into Postscript, hyperlinked PDF or compressed HTML. The
documentation is extracted directly from the sources.

Doxygen can also be configured to extract the code-structure from
undocumented source files. This can be very useful to quickly find
your way in large source distributions.

%description -l es.UTF-8
Doxygen es un sistema de documentación para C, C++ e IDL. Es capaz de
generar un navegador on-line entre clases (en HTML) y-o un manual
off-line de referencia (en LaTeX) a partir de un conjunto de ficheros
de código fuente documentados. También hay soporte para generar
páginas man y para convertir la generada salida an Postscript, PDF con
hiperenlaces o HTML comprimido. La documentación se extrae
directamente de los fuentes.

Doxygen puede también ser configurado a extraer la estructura del
código de código fuente que carece de documentación. Eso puede ser muy
útil para orientarse rápidamente en distribuciones grandes de código
fuente.

%description -l pl.UTF-8
Doxygen to system dokumentowania dla C, C++ i IDL. Może generować
dokumentację klas on-line (w HTML-u) lub podręcznik off-line (w
LaTeXu) z zestawu udokumentowanych plików źródłowych. Ma także
możliwość generowania stron man i konwersji na Postscript, PDF z
hiperłączami oraz skompresowany HTML. Dokumentacja jest wyciągana
bezpośrednio ze źródeł.

Doxygen może być skonfigurowany także do wyciągania struktury kodu z
nieudokumentowanych plików źródłowych. Może być to przydatne do
szybkiego odnalezienia się w dużych źródłach.

%description -l pt_BR.UTF-8
Doxygen é uma sistema de documentação para C e C++ que gera um class
browser on-line (em HTML) e/ou um manual de referencia off-line (em
LaTeX) a partir de um conjunto de fontes documentados. A documentação
é extraida diretamente a partir dos fontes.

%description -l ru.UTF-8
Doxygen - это система документирования для C, C++ и IDL. Она может
создать онлайновый броузер классов (в HTML) и/или оффлайновый
справочник (в LaTeX) из набора документированных файлов. Есть также
поддержка создания man-страниц и конвертации сгенерированного вывода в
Postscript, PDF с гиперссылками и компрессированный HTML. Документация
извлекается непосредственно из исходных файлов.

Doxygen можно также сконфигурировать для получения структуры кода из
нелокументированных исходных файлов. Это может быть очень полезным для
того, чтобы бысто разобраться в большом проекте.

%description -l uk.UTF-8
Doxygen - це система документування для C, C++ та IDL. Вона може
створити онлайновий броузер класів (в HTML) та/чи оффлайновий довідник
(в LaTeX) з набору документованих вихідних файлів. Є також підтримка
для створення man-сторінок та конвертації згенерованого виводу в
Postscript, PDF з гіперлінками та компресований HTML. Документація
видобувається безпосердньо з вихідних файлів.

Doxygen можна також зконфігурувати для отримання структури коду з
недокументованих вихідних файлів. Це може бути дуже корисним для того,
щоб швидко розібратися у великому проекті.

%package doxywizard
Summary:	A GUI front-end for creating and editing configuration files
Summary(es.UTF-8):	Un front-end GUI para crear y editar ficheros de configuración
Summary(pl.UTF-8):	GUI do tworzenia i edycji plików konfiguracyjnych
Summary(pt_BR.UTF-8):	Wizard gráfico para o Doxygen
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description doxywizard
Doxywizard is a GUI front-end for creating and editing configuration
files that are used by doxygen.

%description doxywizard -l es.UTF-8
Doxywizard es un front-end GUI para crear y editar los ficheros de
configuración que son usados por doxygen.

%description doxywizard -l pl.UTF-8
Doxywizard to frontend z graficznym interfejsem do tworzenia i edycji
plików konfiguracyjnych używanych przez doxygen.

%description doxywizard -l pt_BR.UTF-8
Wizard gráfico para o Doxygen.

%prep
%setup -q
%patch0 -p1

%build
# don't change it to %%configure, not autoconf-generated!
./configure \
	--prefix %{_prefix} \
	--perl %{__perl} \
	--install %{_bindir}/install \
	%{?with_qt:--with-doxywizard}

%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	LINK="%{__cxx}" \
	QMAKE="%{_bindir}/qmake-qt4" \
	QTDIR="%{_prefix}" \
	CFLAGS="%{rpmcflags}" \
	CXXFLAGS="%{rpmcxxflags} -DQT_LITE_UNICODE -DNODEBUG" \
	LFLAGS="%{rpmldflags}"

%{__make} docs
#%%{__make} pdf

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc html examples README.md
%attr(755,root,root) %{_bindir}/doxygen
%{_mandir}/man1/doxygen.1*

%if %{with qt}
%files doxywizard
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/doxywizard
%{_mandir}/man1/doxywizard.1*
%endif
%changelog
* Sun Aug 31 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/doxygen.git;a=log;h=master

* Sun Aug 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 0bc4105
- updated to 1.8.8

* Tue Apr 22 2014 Jakub Bogusz <qboosh@pld-linux.org> a9ffe5b
- updated to 1.8.7
- removed outdated embedded-union patch

* Wed Apr 02 2014 Kacper Kornet <draenog@pld-linux.org> 74d856f
- revert upstream commit responsible for broken tex files for embedded
  unions

* Thu Jan 30 2014 Jakub Bogusz <qboosh@pld-linux.org> e88c59a
- updated to 1.8.6
- updated to 1.8.6
- rtti is now required

* Fri Aug 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 9bb0451
- updated to 1.8.5
- updated qt-dirs patch

* Sat Jun 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 7c37117
- updated to 1.8.4
- updated qt-dirs patch

* Thu Jan 24 2013 Jakub Bogusz <qboosh@pld-linux.org> aacfaf3
- updated to 1.8.3.1

* Thu Jan 03 2013 Jakub Bogusz <qboosh@pld-linux.org> b37c8a3
- outdated patch

* Thu Jan 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 611e3f1
- updated to 1.8.3
- updated qt-dirs patch

* Sun Aug 12 2012 Łukasz Kieś <kiesiu@pld-linux.org> 3bcfea7
- updated to 1.8.2

* Fri Jul 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> a7276c8
- updated to 1.8.1.2

* Tue Jun 26 2012 hawk <hawk@pld-linux.org> bd30c06
- drop Titanium stuff

* Wed Jun 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> e024b93
- updated to 1.8.1.1

* Mon May 21 2012 Łukasz Kieś <kiesiu@pld-linux.org> d1f25b6
- updated to 1.8.1

* Tue May 01 2012 Szymon Siwek <sls@pld-linux.org> 0a61f4c
- fixed typo S: texlive-latex-extend

* Sun Mar 04 2012 Jakub Bogusz <qboosh@pld-linux.org> e378090
- updated to 1.8.0; doxytag is gone

* Sun Dec 11 2011 Łukasz Kieś <kiesiu@pld-linux.org> b922d74
- updated to 1.7.6.1

* Tue Dec 06 2011 Łukasz Kieś <kiesiu@pld-linux.org> f8f2bee
- updated to 1.7.6

* Sat Sep 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 7515f71
- updated to 1.7.5.1

* Thu Aug 18 2011 Jakub Bogusz <qboosh@pld-linux.org> cd3f348
- updated to 1.7.5

